summaryrefslogtreecommitdiffstats
path: root/abs/extra/recstat/recstat
diff options
context:
space:
mode:
Diffstat (limited to 'abs/extra/recstat/recstat')
-rw-r--r--abs/extra/recstat/recstat56
1 files changed, 56 insertions, 0 deletions
diff --git a/abs/extra/recstat/recstat b/abs/extra/recstat/recstat
new file mode 100644
index 0000000..2d72c61
--- /dev/null
+++ b/abs/extra/recstat/recstat
@@ -0,0 +1,56 @@
+#! /bin/sh
+
+set -e
+
+PATH=/usr/local/sbin:/usr/local/bin:/sbin:/bin:/usr/sbin:/usr/bin
+DESC="serial port encoder status script"
+NAME=recstat
+DAEMON=/usr/bin/$NAME.py
+PIDFILE=/var/run/$NAME.pid
+SCRIPTNAME=/etc/init.d/$NAME
+
+# Gracefully exit if the package has been removed.
+test -x $DAEMON || exit 0
+
+#
+# Function that starts the daemon/service.
+#
+d_start() {
+ start-stop-daemon --start --quiet --make-pidfile --pidfile $PIDFILE \
+ --exec $DAEMON &
+}
+
+#
+# Function that stops the daemon/service.
+#
+d_stop() {
+ kill -9 `cat $PIDFILE`
+}
+
+case "$1" in
+ start)
+ echo -n "Starting $DESC: $NAME"
+ d_start
+ echo "."
+ ;;
+ stop)
+ echo -n "Stopping $DESC: $NAME"
+ d_stop
+ echo "."
+ ;;
+ restart|force-reload)
+ echo -n "Stopping $DESC: $NAME"
+ d_stop
+ sleep 1
+ echo "."
+ echo -n "Starting $DESC: $NAME"
+ d_start
+ echo "."
+ ;;
+ *)
+ echo "Usage: $SCRIPTNAME {start|stop|restart|force-reload}" >&2
+ exit 1
+ ;;
+esac
+
+exit 0 \ No newline at end of file